import 'groups.dart';

Berry getBerryFromMap(res) {
  Berry obj = new Berry();
  obj.id = res["id"];
  obj.name = res["name"];
  obj.growthTime = res["growth_time"];
  obj.maxHarvest = res["max_harvest"];
  obj.naturalGiftPower = res["natural_gift_power"];
  obj.size = res["size"];
  obj.smoothness = res["smoothness"];
  obj.soilDryness = res["soil_dryness"];
  obj.firmness = NamedAPIResource().set(res["firmness"]);
  obj.flavors = res["flavors"]
      .map((m) => {
            BerryFlavorMap()
                .set(m["potency"], NamedAPIResource().set(m["flavor"]))
          })
      .toList();
  obj.item = NamedAPIResource().set(res["item"]);
  obj.naturalGiftType = NamedAPIResource().set(res["natural_gift_type"]);
  return obj;
}